<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Error extends MX_Controller{

    function __construct() 
    {
        parent::__construct();
        
        $this->load->library('template');
        $this->load->library('assets');
        $this->load->library('events');
    }
    
    public function e404()
	{
 	    
	    Template::set_theme('clean');
	    
	    Assets::add_module_css('lpblog',array(
 	        'plugins/bootstrap-3.3.7/bootstrap.min',
            'normalize',
            'flaticon',
            'font-awesome.min',
            'magnific-popup',
            'animate.min',
            'responsive',
            '1',
            'style', 
 	    ));
 	    
 	    Assets::add_module_css('error', array('style'));
 	    
 	    Assets::add_module_js('lpblog',array(
 	        'plugins/jquery/jquery-2.1.0.min',
 	        'plugins/jquery/jquery.maskedinput.js',
 	        'plugins/bootstrap-3.3.7/bootstrap.min',
            'modernizr.custom',
            'jquery.magnific-popup.min',
            'jquery.overlay',
            'jquery.nav',
            'jquery.scrollUp.min',
            'retina',
            'wow.min',
            'classie',
            'pathLoader',
            'smooth-scroll.min',
            'validator.min',
 	        'scripts',
 	    ));
 	    
	    header("HTTP/1.0 404 Not Found");
	    
        Template::set_view('error/e404_view');
        Template::render();
	}
}